Package com.mckoi.util

## Class CommandLine

- java.lang.Object
- - com.mckoi.util.CommandLine

    public class CommandLine
    extends java.lang.Object

Used to parse a command-line.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`CommandLine​(java.lang.String[] args)` Constructs the command line parser from the String[] array passed as the argument to the application.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `allSwitchesStartingWith​(java.lang.String switch_str)` Returns a list of all switches on the command line that start with the given string.
`boolean` `containsSwitch​(java.lang.String switch_str)` Returns true if the switch is in the command line.
`boolean` `containsSwitchFrom​(java.lang.String switch_str)` Given a comma deliminated list, this scans for one of the switches in the list.
`boolean` `containsSwitchStart​(java.lang.String switch_str)` Returns true if the command line contains a switch starting with the given string.
`java.lang.String` `switchArgument​(java.lang.String switch_str)` Returns the contents of a switch variable if the switch is found on the command line.
`java.lang.String` `switchArgument​(java.lang.String switch_str, java.lang.String def)` Returns the contents of a switch variable if the switch is found on the command line.
`java.lang.String[]` `switchArguments​(java.lang.String switch_str, int arg_count)` Returns the contents of a set of arguments found after a switch on the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommandLine

    public CommandLine​(java.lang.String[] args)

Constructs the command line parser from the String[] array passed as the argument to the application.

### Method Detail

#### containsSwitch

    public boolean containsSwitch​(java.lang.String switch_str)

Returns true if the switch is in the command line. eg. command_line.containsSwitch("--help");

#### containsSwitchFrom

    public boolean containsSwitchFrom​(java.lang.String switch_str)

Given a comma deliminated list, this scans for one of the switches in the list. eg. command_line.containsSwitchFrom("--help,-help,-h");

#### containsSwitchStart

    public boolean containsSwitchStart​(java.lang.String switch_str)

Returns true if the command line contains a switch starting with the given string. eg. command_line.containsSwitchStart("-he"); will match "-hello", "-help", "-her", etc

#### allSwitchesStartingWith

    public java.lang.String[] allSwitchesStartingWith​(java.lang.String switch_str)

Returns a list of all switches on the command line that start with the given string. eg. command_line.allSwitchesStartingWith("-D"); will return matches for switches "-Dname=toby", "-Dog", "-Dvalue=over", etc.

#### switchArgument

    public java.lang.String switchArgument​(java.lang.String switch_str)

Returns the contents of a switch variable if the switch is found on the command line. A switch variable is of the form '-[switch] [variable]'. eg. 'command.exe -url "http://www.mckoi.com/database/"'.

Returns 'null' if the argument was not found.

#### switchArgument

    public java.lang.String switchArgument​(java.lang.String switch_str,
                                           java.lang.String def)

Returns the contents of a switch variable if the switch is found on the command line. A switch variable is of the form '-[switch] [variable]'. eg. 'command.exe -url "http://www.mckoi.com/database/"'.

Returns def if the argument was not found.

#### switchArguments

    public java.lang.String[] switchArguments​(java.lang.String switch_str,
                                              int arg_count)

Returns the contents of a set of arguments found after a switch on the command line. For example, switchArguments("-create", 3) would try and find the '-create' switch and return the first 3 arguments after it if it can.

Returns null if no match is found.